VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "PerformanceCounter - Anwendungsbeispiel"
   ClientHeight    =   3405
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4950
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3405
   ScaleWidth      =   4950
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame3 
      Height          =   2535
      Left            =   120
      TabIndex        =   6
      Top             =   750
      Width           =   2295
      Begin VB.CommandButton GoANSI 
         Caption         =   "100.000 mal ausfhren"
         Height          =   615
         Left            =   240
         TabIndex        =   7
         Top             =   960
         Width           =   1815
      End
      Begin VB.Label Label2 
         Alignment       =   2  'Center
         Caption         =   "ANSI-Aufruf: GetWindowTextA"
         Height          =   495
         Left            =   120
         TabIndex        =   9
         Top             =   360
         Width           =   2055
      End
      Begin VB.Label ergANSI 
         Caption         =   "Ergebnis:"
         Height          =   615
         Left            =   240
         TabIndex        =   8
         Top             =   1800
         Width           =   1815
      End
   End
   Begin VB.Frame Frame2 
      Height          =   2535
      Left            =   2520
      TabIndex        =   2
      Top             =   750
      Width           =   2295
      Begin VB.CommandButton GoUNICODE 
         Caption         =   "100.000 mal ausfhren"
         Height          =   615
         Left            =   240
         TabIndex        =   3
         Top             =   960
         Width           =   1815
      End
      Begin VB.Label Label4 
         Alignment       =   2  'Center
         Caption         =   "UNICODE-Aufruf: GetWindowTextW"
         Height          =   495
         Left            =   120
         TabIndex        =   5
         Top             =   360
         Width           =   2055
      End
      Begin VB.Label ergUNICODE 
         Caption         =   "Ergebnis:"
         Height          =   615
         Left            =   240
         TabIndex        =   4
         Top             =   1800
         Width           =   1815
      End
   End
   Begin VB.Frame Frame1 
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   4695
      Begin VB.Label Label1 
         Alignment       =   2  'Center
         Caption         =   "GetWindowText - Performancevergleich zwischen ANSI- und UNICODE-Aufruf"
         Height          =   375
         Left            =   480
         TabIndex        =   1
         Top             =   240
         Width           =   3495
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function GetForegroundWindow Lib "user32" () As Long
Private Declare Function GetWindowTextANSI Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Private Declare Function GetWindowTextWIDE Lib "user32" Alias "GetWindowTextW" (ByVal hwnd As Long, ByVal lpString As Byte, ByVal cch As Long) As Long

Private MyTimer As clsPerformance

Private Sub Form_Load()
  Set MyTimer = New clsPerformance
  If Not MyTimer.Supported Then _
    MsgBox "Performance Timer werden auf Ihrem System nicht untersttzt.", vbCritical, "Programm wird beendet": Unload Me
End Sub

Private Sub Form_Terminate()
  End
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set MyTimer = Nothing
  Set frmMain = Nothing
End Sub

Private Sub GoANSI_Click()
Dim hFore As Long, strTitle As String, strLen As Long, i As Long

  hFore = GetForegroundWindow()

  strTitle = Space$(255)
  Me.MousePointer = vbHourglass
  MyTimer.StartTimer
  For i = 1 To 100000
    strLen = GetWindowTextANSI(hFore, strTitle, Len(strTitle))
  Next i
  MyTimer.StopTimer
  Me.MousePointer = vbDefault
  ergANSI.Caption = "Ergebnis:" & vbCrLf & Format$(MyTimer.Timer, "00.00") & " Millisekunden"

End Sub

Private Sub GoUNICODE_Click()
Dim hFore As Long, pTitle As Byte, strLen As Long, i As Long

  hFore = GetForegroundWindow()

  Me.MousePointer = vbHourglass
  MyTimer.StartTimer
  For i = 1 To 100000
    strLen = GetWindowTextWIDE(hFore, pTitle, 255)
  Next i
  MyTimer.StopTimer
  Me.MousePointer = vbDefault
  ergUNICODE.Caption = "Ergebnis:" & vbCrLf & Format$(MyTimer.Timer, "00.00") & " Millisekunden"

End Sub
